TMF629 v4 Customer Management (Outbound)

POST Customer Creation Event Notification

POST /notification/customerCreateEvent

Security: clientIdEnforcement.

Client listener for receiving the notification customerCreateEvent. This endpoint handles notifications when new customers are created in the system.

Parameters

  • contactToMultipleAccountsEnabled (query, boolean) Flag to filter events based on whether a contact is associated with multiple accounts
    Default: false.

Request body

Media type: application/json. Schema: array of object.

Array of object.

  • entityId (string)
    Example: 001xx000003GavHAAS.
  • entityName (string)
    Example: Account.
  • eventId (string)
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b774-1.
  • commitTimestamp (number)
    Example: 1739268701178.
  • commitNumber (number)
    Example: 123.
  • correlationId (string)
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b77.
  • changeEventType (string)
    Example: Create.
  • enrichedFields (object)
    • AccountId (string)
      Example: 001LT00000lBXnBYAW.
  • changedFields (object)

Example

[
  {
    "entityId": "001LT00000lBXnBYAW",
    "entityName": "Account",
    "eventId": "000016be-b392-5d4e-f246-7c1ef2f83c62_1",
    "commitTimestamp": 1751280659000,
    "commitNumber": 1751280659527467000,
    "correlationId": "000016be-b392-5d4e-f246-7c1ef2f83c62",
    "changedFields": {
      "ParentId": "001LT00000bu04rYAA",
      "LastModifiedDate": "Mon Jun 30 10:50:59 GMT 2025",
      "devops001gs0__RootAccountId__c": "001LT00000kiHsHYAU",
      "devops001gs0__Disclosure3__c": "false",
      "devops001gs0__Disclosure2__c": "false",
      "devops001gs0__Disclosure1__c": "false",
      "devops001gs0__EnableAutopay__c": "false",
      "CurrencyIsoCode": "USD",
      "devops001gs0__IsPersonAccount__c": "false",
      "devops001gs0__HasFraud__c": "false",
      "Name": "Test Account",
      "CreatedById": "005LT000006GmRpYAK",
      "OwnerId": "005LT000006GmRpYAK",
      "devops001gs0__IsRootResolved__c": "true",
      "CreatedDate": "Mon Jun 30 10:50:59 GMT 2025",
      "devops001gs0__PartyId__c": "a3iLT0000004y8rYAA",
      "devops001gs0__DirectoryListed__c": "false",
      "LastModifiedById": "005LT000006GmRpYAK"
    },
    "changeEventType": "Create",
    "enrichedFields": {
      "Id": "001LT00000lBXnBYAW"
    }
  }
]

Responses

  • 207 Successfully processed a customer creation event.

    Media type: application/json. Schema: array of object.

    Array of object.

    • entityId (string)
      Example: 07kLT000000DJHlYAO.
    • message (string)
      Example: Event Posted Successfully.

    Example

    [
      {
      "entityId" : "07kLT000000DJHlYAO",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "07kLT000000DJJNYA4",
      "message" : "Invalid Entity Name"
      }
    ]
  • 400 Bad request

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
  • 401 Unauthorized

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
  • 403 Forbidden

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
  • 404 Resource not found

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
  • 405 Method not allowed

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
  • 500 Internal server error

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
  • 501 Not Implemented

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
  • 503 Service Unavailable

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
  • 200

    Headers:

    • X-Ratelimit-Remaining (number, required) Amount of the quota that is available.
      Example: 5.
    • X-Ratelimit-Limit (number, required) Maximum available requests per window.
      Example: 10.
    • X-Ratelimit-Reset (number, required) Remaining time, in milliseconds, until a new rate limit window starts.
      Example: 3000.
  • 201

    Headers:

    • X-Ratelimit-Remaining (number, required) Amount of the quota that's available.
      Example: 5.
    • X-Ratelimit-Limit (number, required) Maximum available requests per window.
      Example: 10.
    • X-Ratelimit-Reset (number, required) Remaining time, in milliseconds, until a new rate limit window starts.
      Example: 3000.